Subject: Re: bug#44612: Read standard input in `guix repl'

From: zimoun <[email-masked]>
Date: Mon, 16 Nov 2020 12:38:21 +0100

Hi Tobias,

On Mon, 16 Nov 2020 at 11:45, Tobias Geerinckx-Rice <[email-masked]> wrote:

> What exactly downloads the world?

I have not inspected but I think that’s because a lot of substitutes
missing:

--8<---------------cut here---------------start------------->8---
$ pkgs=$(guix time-machine --branch=version-1.2.0 -- package -A ^sbcl- |cut -f1)
$ guix time-machine --branch=version-1.2.0 -- weather $pkgs
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
computing 455 package derivations for x86_64-linux...
looking for 456 store items on https://ci.guix.gnu.org...
updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
https://ci.guix.gnu.org
  71.3% substitutes available (325 out of 456)
  at least 214.4 MiB of nars (compressed)
  431.6 MiB on disk (uncompressed)
  0.008 seconds per request (3.5 seconds in total)
  130.2 requests per second

  0.0% (0 out of 131) of the missing items are queued
  at least 1,000 queued builds
      x86_64-linux: 490 (49.0%)
      i686-linux: 353 (35.3%)
      aarch64-linux: 133 (13.3%)
      armhf-linux: 24 (2.4%)
  build rate: 30.54 builds per hour
      aarch64-linux: 4.21 builds per hour
      i686-linux: 10.14 builds per hour
      x86_64-linux: 11.45 builds per hour
      armhf-linux: 4.73 builds per hour
--8<---------------cut here---------------end--------------->8---

Well, I have not pulled ’master’ since a couple of days but should be
the same, I guess.  Yes, it is with f6a42ac:

  72.4% substitutes available (336 out of 464)

All the best,
simon